{*************************************************************************}
{*   ModBSA                                                              *}
{*   Copyright (C) 2003 Marek Mauder, Vampyre SoftWorks                  *}
{*   Modules\Archives\Bsa\ModBSA.dpr                                     *}
{*************************************************************************}
{                                                                         }
{ This program is free software; you can redistribute it and/or modify it }
{ under the terms of the GNU General Public License as published by the   }
{ Free Software Foundation; either version 2 of the License, or (at your  }
{ option) any later version. This program is distributed in the hope that }
{ it will be useful, but WITHOUT ANY WARRANTY; without even the implied   }
{ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See   }
{ the GNU General Public License for more details.                        }
{                                                                         }
{ You should have received a copy of the GNU General Public License       }
{ along with this program; if not, write to the Free Software Foundation, }
{ Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.         }
{                                                                         }
{*************************************************************************}
{  Created On: 7th November 2003  (07.11.2003)                            }
{*************************************************************************}

{This is external library which allows Numalian engine to read files
 from Bethesda's bsa archives. It works under Windows and Linux.}

library ModBSA;

{$I Compiler.inc}

uses
  Kernel,
  Objects,
  Files,
  BsaFormat;

{$E arc}
{$R *.res}

procedure GetID(var ID: TModuleID);cdecl;
begin
  ID:=ArcLibraryID;
end;

procedure GetCount(var Count: Long);cdecl;
begin
 Count:=1;
end;

procedure GetModule(Index:Long;var Module: Pointer);cdecl;
begin
  Module:=TNBsaFormat;
end;

exports
GetID,
GetCount,
GetModule;

begin
end.
