{*************************************************************************}
{*   ModLzo                                                              *}
{*   Copyright (C) 2004 Marek Mauder, Vampyre SoftWorks                  *}
{*   Modules\Compressions\Lzo\ModLZO.dpr                                 *}
{*************************************************************************}
{                                                                         }
{ This program is free software; you can redistribute it and/or modify it }
{ under the terms of the GNU General Public License as published by the   }
{ Free Software Foundation; either version 2 of the License, or (at your  }
{ option) any later version. This program is distributed in the hope that }
{ it will be useful, but WITHOUT ANY WARRANTY; without even the implied   }
{ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See   }
{ the GNU General Public License for more details.                        }
{                                                                         }
{ You should have received a copy of the GNU General Public License       }
{ along with this program; if not, write to the Free Software Foundation, }
{ Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.         }
{                                                                         }
{*************************************************************************}
{  Created On: 7th January 2004  (07.01.2004)                             }
{*************************************************************************}

{This is external library which allows Numalian engine to use LZO compression/
 decompression. It works under Windows and Linux.}

library ModLZO;

{$I Compiler.inc}

uses
  Kernel,
  Objects,
  Files,
  LzoFormat;

{$E cmp}
{$R *.res}

procedure GetID(var ID: TModuleID);cdecl;
begin
  ID:=CmpLibraryID;
end;

procedure GetCount(var Count: Long);cdecl;
begin
 Count:=1;
end;

procedure GetModule(Index:Long;var Module: Pointer);cdecl;
begin
  Module:=TNLzoFormat;
end;

exports
GetID,
GetCount,
GetModule;

begin
end.

