unit AConsts;

interface

const
  sEnvironmentCfg = 'Environment.xml';
  sEditorCfg = 'Editor.xml';
  sSessionCfg = 'Session.xml';
  sWindowCfg = 'Window.xml';
  sSyntaxColorsCfg = 'SyntaxColors.cfg';

resourcestring
  sStandard = 'Standard';
  sTemplates = 'Templates';
  sSolution = 'Solution';
  sSolutions = 'Solutions';
  sProjects = 'Projects';
  sNewFiles = 'New Files';

  sBlankSolution = 'Blank Solution';
  sGUIApplication = 'GUI Application';
  sConsoleApplication = 'Console Application';
  sWin32Application = 'Win32 Application Skeleton';
  sLibrary = 'Dynamic Link Library';
  sPascalUnit = 'Pascal Unit';
  sDelphiDPR = 'Delphi DPR File';
  sTextFile = 'Text File';
  sXMLDoc = 'XML Document';
  sHTMLPage = 'HTML Page';

  sEditorFiles = 'Editor Files:';

  sPascalUnitText = 'unit %s;' + sLineBreak + sLineBreak + 'interface' +
    sLineBreak + sLineBreak + 'implementation' + sLineBreak + sLineBreak +
      'end.';

  sDelphiDPRText = 'program %s;' + sLineBreak +
  sLineBreak +
  'uses' + sLineBreak +
  '  SysUtils, Classes;'+ sLineBreak +
  sLineBreak +
  'begin' + sLineBreak +
  sLineBreak +
  'end.';

  sGuiAppMainText = 'program %s;' + sLineBreak +
  sLineBreak +
  '{$APPTYPE GUI}' + sLineBreak +
  sLineBreak +
  'uses' + sLineBreak +
  '  Windows, SysUtils, Classes;'+ sLineBreak +
  sLineBreak +
  'begin' + sLineBreak +
  sLineBreak +
  'end.';

  sConsoleAppMainText = 'program %s;' + sLineBreak +
  sLineBreak +
  '{$APPTYPE CONSOLE}' + sLineBreak +
  sLineBreak +
  'uses' + sLineBreak +
  '  SysUtils, Classes;'+ sLineBreak +
  sLineBreak +
  'begin' + sLineBreak +
  sLineBreak +
  'end.';

  sLibraryMainText = 'library %s;' + sLineBreak +
  sLineBreak +
  'uses' + sLineBreak +
  '  SysUtils, Classes;'+ sLineBreak +
  sLineBreak +
  'begin' + sLineBreak +
  sLineBreak +
  'end.';

  sSNNone = 'None';
  sSNPascal = 'Pascal';
  sSNCpp = 'C/C++';
  sSNAsm= 'Assembler';
  sSNJava= 'Java';
  sSNCSharp = 'C#';
  sSNBasic = 'Basic';
  sSNDelphiForm= 'Delphi form';
  sSNXML= 'XML';
  sSNHTML= 'HTML';
  sSNINI= 'INI file';

  sXPStyleColors = 'XP Style Colors';
  sStandardColors = 'Standard';
  sRedColors = 'Red Colors';

implementation

end.

