{*************************************************************************}
{*   ModDaggerfall                                                       *}
{*   Copyright (C) 2003 Marek Mauder, Vampyre SoftWorks                  *}
{*   Modules\ImageFileFormats\Daggerfall\ModDaggerfall.dpr               *}
{*************************************************************************}
{                                                                         }
{ This program is free software; you can redistribute it and/or modify it }
{ under the terms of the GNU General Public License as published by the   }
{ Free Software Foundation; either version 2 of the License, or (at your  }
{ option) any later version. This program is distributed in the hope that }
{ it will be useful, but WITHOUT ANY WARRANTY; without even the implied   }
{ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See   }
{ the GNU General Public License for more details.                        }
{                                                                         }
{ You should have received a copy of the GNU General Public License       }
{ along with this program; if not, write to the Free Software Foundation, }
{ Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.         }
{                                                                         }
{*************************************************************************}
{  Created On: 9th November 2003  (09.11.2003)                            }
{*************************************************************************}

{This is external library which allows Numalian engine to
 load/save images from Bethesda's older games like Daggerfall, Future Shock,
 Arena,... . It works under Windows and Linux.}

library ModDaggerfall;

{$I Compiler.inc}

uses
  Kernel,
  Objects,
  Images,
  DaggerGraphic,
  ImgFormat,
  CifFormat,
  TexFormat;

{$E iff}
{$R *.res}

procedure GetID(var ID: TModuleID);cdecl;
begin
  ID:=IffLibraryID;
end;

procedure GetCount(var Count: Long);cdecl;
begin
 Count:=3;
end;

procedure GetModule(Index:Long;var Module: Pointer);cdecl;
begin
  case Index of
  0: Module:=TNImgFormat;
  1: Module:=TNCifFormat;
  2: Module:=TNTexFormat;
  end;
end;

exports
GetID,
GetCount,
GetModule;

begin
end.
