object EditorFrame: TEditorFrame
  Left = 0
  Top = 0
  Width = 443
  Height = 270
  Align = alClient
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Verdana'
  Font.Style = []
  ParentFont = False
  TabOrder = 0
  Visible = False
  object TabEditor: TTabControl
    Left = 0
    Top = 0
    Width = 443
    Height = 22
    Align = alTop
    PopupMenu = PopupTab
    TabOrder = 0
    OnDragDrop = TabEditorDragDrop
    OnDragOver = TabEditorDragOver
    OnMouseDown = TabEditorMouseDown
  end
  object Status: TStatusBar
    Left = 0
    Top = 251
    Width = 443
    Height = 19
    Panels = <
      item
        Alignment = taCenter
        Width = 140
      end
      item
        Width = 72
      end
      item
        Width = 72
      end
      item
        Width = 50
      end>
  end
  object SynEdit: TSynEdit
    Left = 0
    Top = 22
    Width = 443
    Height = 229
    Align = alClient
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Courier New'
    Font.Style = []
    PopupMenu = PopupEditor
    TabOrder = 2
    TabStop = False
    OnDblClick = SynEditDblClick
    Gutter.DigitCount = 5
    Gutter.Font.Charset = DEFAULT_CHARSET
    Gutter.Font.Color = clWindowText
    Gutter.Font.Height = -11
    Gutter.Font.Name = 'Courier New'
    Gutter.Font.Style = []
    Gutter.LeftOffset = 4
    Gutter.ShowLineNumbers = True
    MaxUndo = 32768
    Options = [eoAutoIndent, eoDragDropEditing, eoDropFiles, eoGroupUndo, eoHideShowScrollbars, eoScrollPastEof, eoScrollPastEol, eoShowScrollHint, eoSmartTabDelete, eoSmartTabs, eoTabIndent, eoTabsToSpaces, eoTrimTrailingSpaces]
    ScrollHintFormat = shfTopToBottom
    SearchEngine = Data.SynSearch
    TabWidth = 2
    WantTabs = True
    OnDropFiles = SynEditDropFiles
    OnReplaceText = SynEditReplaceText
  end
  object ActionsEditor: TActionList
    Images = ImagesEditor
    Left = 65
    Top = 155
    object VideFormatUpperCase: TVideFormatUpperCase
      Category = 'Format'
      Caption = 'Make Uppercase'
      Hint = 'Converts selection to uppercase'
      ImageIndex = 7
    end
    object VideEditUndo: TVideEditUndo
      Category = 'Edit'
      Caption = 'Undo'
      Hint = 'Reverts last action'
      ImageIndex = 1
      ShortCut = 16474
    end
    object VideEditRedo: TVideEditRedo
      Category = 'Edit'
      Caption = 'Redo'
      Hint = 'Repeats last action'
      ImageIndex = 0
      ShortCut = 24666
    end
    object VideEditCut: TVideEditCut
      Category = 'Edit'
      Caption = 'Cut'
      Hint = 'Cuts selection and puts it on Clipboard'
      ImageIndex = 2
      ShortCut = 16472
    end
    object VideEditCopy: TVideEditCopy
      Category = 'Edit'
      Caption = 'Copy'
      Hint = 'Copies selection and puts it on Clipboard'
      ImageIndex = 3
      ShortCut = 16451
    end
    object VideEditDelete: TVideEditDelete
      Category = 'Edit'
      Caption = 'Delete'
      Hint = 'Deletes selection'
      ImageIndex = 5
      ShortCut = 16430
    end
    object VideEditPaste: TVideEditPaste
      Category = 'Edit'
      Caption = 'Paste'
      Hint = 'Inserts Clipboard contents'
      ImageIndex = 4
      ShortCut = 16470
    end
    object VideEditSelectAll: TVideEditSelectAll
      Category = 'Edit'
      Caption = 'SelectAll'
      Hint = 'Selects entire document'
      ShortCut = 16449
    end
    object VideFormatLowerCase: TVideFormatLowerCase
      Category = 'Format'
      Caption = 'Make Lowercase'
      Hint = 'Converts selection to lowercase'
      ImageIndex = 6
    end
    object ClosePage: TAction
      Category = 'Editor'
      Caption = 'Close Page'
      ImageIndex = 5
      OnExecute = ClosePageExecute
    end
    object EditorProperties: TAction
      Category = 'Editor'
      Caption = 'Editor Properties'
      OnExecute = EditorPropertiesExecute
    end
    object SearchFind: TAction
      Category = 'Search'
      Caption = 'Find...'
      Hint = 'Finds the specified text'
      ImageIndex = 9
      ShortCut = 16454
      OnExecute = SearchFindExecute
      OnUpdate = SearchFindUpdate
    end
    object SearchReplace: TAction
      Category = 'Search'
      Caption = 'Replace'
      Hint = 'Replaces specific text with different text'
      ImageIndex = 11
      ShortCut = 16466
      OnExecute = SearchReplaceExecute
      OnUpdate = SearchReplaceUpdate
    end
    object SearchGoto: TAction
      Category = 'Search'
      Caption = 'Go to Line Number...'
      Hint = 'Moves editor caret to specified line'
      ImageIndex = 8
      ShortCut = 32839
      OnExecute = SearchGotoExecute
      OnUpdate = SearchGotoUpdate
    end
    object SearchAgain: TAction
      Category = 'Search'
      Caption = 'Search Again'
      Hint = 'Repeats last Find/Replace'
      ImageIndex = 10
      ShortCut = 114
      OnExecute = SearchAgainExecute
      OnUpdate = SearchAgainUpdate
    end
  end
  object ImagesEditor: TImageList
    Left = 100
    Top = 155
    Bitmap = {
      494C01010C000E00040010001000FFFFFFFFFF10FFFFFFFFFFFFFFFF424D3600
      0000000000003600000028000000400000004000000001002000000000000040
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000002D032D001212
      1200151515001515150015151500151515001515150015151500151515001515
      1500151515001515150011111100030303000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E006A6A
      6A007F7F7F007F7F7F007F7F7F007F7F7F007F7F7F007F7F7F007F7F7F007F7F
      7F007F7F7F007B7B7B005B5B5B00111111000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00C2C1
      C200E8E8E800E9E9E900E9E9E900E9E9E900E9E9E900E9E9E900E9E9E900E9E9
      E900E8E8E800D6D6D6007B7B7B00141414000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D4D3
      D400FDFDFD00FEFEFE00FEFEFE00FEFEFE00FEFEFE00FEFEFE00FEFEFE00FEFE
      FE00FDFDFD00E8E8E8007E7E7E001515150000000000FFFFFF00000000000000
      000000000000000000000000000000000000000000000000000000000000FFFF
      FF00000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D4D4
      D400FEFEFE00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FEFEFE00E9E9E9007F7F7F001515150000000000FFFFFF00000000000000
      000000000000000000000000000000000000000000000000000000000000FFFF
      FF00000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000E0E0E00000000000E0E0E00D4D3
      D400FDFDFE00FEFEFF00FEFEFF00FEFEFF00FEFEFF00FEFEFF00FEFEFF00FEFE
      FF00FDFDFE00E8E8E9007E7E7F00151515000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000002B00070023001C000E0E0E00B0B0
      D400D3D3FE00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4
      FF00D3D3FE00C5C5E90077777F00151515000000000000000000FFFFFF000000
      00000000000000000000000000000000000000000000FFFFFF00000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000000000000000000000000000C6C6
      C600000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000AF000000240001000E0E0E002424
      D4002B2BFE002B2BFF002B2BFF002B2BFF002B2BFF002B2BFF002B2BFF002B2B
      FF002B2BFE003939E9005C5C7F00151515000000000000000000FFFFFF000000
      00000000000000000000C6C6C6000000000000000000FFFFFF00000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000008484840000000000000000000000000084848400000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000B70007000E0E0E000E0E0E002424
      D4002B2BFE002B2BFF002B2BFF002B2BFF002B2BFF002B2BFF002B2BFF002B2B
      FF002B2BFE003939E9005C5C7F00151515000000000000000000FFFFFF000000
      00000000000000000000C6C6C6000000000000000000FFFFFF00000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000008484840000000000000000000000000084848400000000000000
      0000000000000000000000000000000000000E0E0E00000000000E0E0E00B1B0
      D400D3D3FE00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4FF00D4D4
      FF00D3D3FE00C5C5E90077777F00151515000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000C6C6C60000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D4D3
      D400FDFDFE00FEFEFF00FEFEFF00FEFEFF00FEFEFF00FEFEFE00FDFDFE00FDFD
      FE00FCFCFD00E7E7E8007E7E7E0014141400000000000000000000000000FFFF
      FF000000000000000000000000000000000000000000FFFFFF00000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000C6C6C60000000000000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000C6C6C60000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D5D4
      D500FEFEFE00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FEFEFE00F7F7F700DBDB
      DB00D4D4D400C2C2C2006A696A00121112000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000000000000000000000000000C6C6
      C60000000000000000000000000000000000C6C6C60000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D5D4
      D500FEFEFE00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FEFEFE00DBDBDB005454
      54004E4E4E004A494A00241C2400270327000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000848484000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00D4D3
      D400FDFDFD00FEFEFE00FEFEFE00FEFEFE00FEFEFE00FDFDFD00D4D4D4004E4E
      4E00A9A9A9009C939C000E0E0E00000000000000000000000000000000000000
      0000FFFFFF000000000000000000000000000000000000000000FFFFFF000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000848484000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E00B1B0
      B100D3D3D300D4D4D400D4D4D400D4D4D400D4D4D400D3D3D300B1B1B1004545
      45009B939B000E0E0E0000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000000000000E0E0E002323
      23002A2A2A002A2A2A002A2A2A002A2A2A002A2A2A002A2A2A00232323000E0E
      0E000E0E0E000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000004A8100004A
      8100004A8100905E5C00905E5C00905E5C00905E5C00905E5C00905E5C00905E
      5C00905E5C00905E5C0074435400000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000005B7000005B7000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000004A810032B6E10032B6
      E10032B6E100A2616A00F6E7D600F8ECDE00F6E9D900F4E5D500F4E5D500F4E5
      D500F4E5D500F6E7D6007443540000000000000000000005B7000005B7000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000005B7000005B700000000000000000000000000CA670000CA67
      0000CA670000CA670000CA670000CA670000CA670000CA670000CA670000CA67
      0000CA670000CA67000000000000000000000000000000000000CA670000CA67
      0000CA670000CA670000CA670000CA670000CA670000CA670000CA670000CA67
      0000CA670000CA670000000000000000000000000000004A810032B6E10032B6
      E10032B6E100A2616A00F0E0CE00DA904100DA904100DA904100DA904100DA90
      4100DA904100F0DAC3007443540000000000000000000005B7000005B7000005
      B700000000000000000000000000000000000000000000000000000000000000
      00000005B7000005B700000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A810037BAE40032B6
      E10032B6E100A2616A00F4E5D500F0D8C000ECCFB300ECCFB300ECCFB300ECCF
      B300EDD1B600F1DDC6007443540000000000000000000005B7000005B6000005
      B7000005B7000000000000000000000000000000000000000000000000000005
      B7000005B70000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00F7E9DB00D8914800CB6B0800CA670000CC6E0C00E2AE7800CA670000CA67
      0000FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00EFD1
      B300CA670000D3812C00FFFFFF00FFFFFF00FFFFFF00FFFFFF00D3833000CA67
      0000EFD1B300FFFFFF00CA6700000000000000000000004A81003CBFE70037BA
      E40032B6E100A2616A00F7EADB00DA904100DA904100DA904100DA904100DA90
      4100DA904100F0DECB00744354000000000000000000000000000005D8000005
      BA000005B7000005B700000000000000000000000000000000000005B7000005
      B7000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00D3812C00CA670000EDCCAB00FFFFFF00FBF5EF00E6B98B00CA670000CA67
      0000FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FEFC
      FB00CE721400CA670000F5E2CF00FFFFFF00FFFFFF00F5E4D300CA670000CE72
      1400FEFCFB00FFFFFF00CA6700000000000000000000004A810045C5EB003CBF
      E70037BAE400A2616A00F8EDE100F6E7D600F1DDC600F1DDC600F0D8C000F0D8
      C000F0DAC300F0E0CE0074435400000000000000000000000000000000000000
      00000005B7000005B7000005B600000000000005B6000005B7000005B7000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00CA690400CA670000FDFAF700FFFFFF00FFFFFF00FFFFFF00CA670000CA67
      0000FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00E1A97000CA670000E2AC7400FFFFFF00FFFFFF00E3B07C00CA670000E1A9
      7000FFFFFF00FFFFFF00CA6700000000000000000000004A81004ACAEE0045C5
      EB0042C3EA00C28B6B00F9F2EB00DA904100DA904100DA904100DA904100DA90
      4100DA904100F6E9D90074435400000000000000000000000000000000000000
      0000000000000005B6000005C8000005C8000005CD000005B400000000000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00DDA06000CA670000DFA46800EECFAF00F6E7D700FCF7F300CA670000CA67
      0000FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00F5E2CF00CA670000CA670000CA670000CA670000CA670000CA670000F5E2
      CF00FFFFFF00FFFFFF00CA6700000000000000000000004A810052D0F2004ACA
      EE004ACAEE00C18D6F00FAF5F100F9F2EB00F8ECDE00F7EADA00F6E7D600F6E9
      D900F8ECDE00DAD7D30074435400000000000000000000000000000000000000
      000000000000000000000005C1000005C1000005D80000000000000000000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FEFCFB00E4B27F00D8914800D4863400D07A2000CA670000CA670000CA67
      0000FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00D3833000CA670000F2DBC300F5E2CF00CA670000D3833000FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005BD5F50055D2
      F3004FCEF100C18D6F00FAF5F100FCFBF900FCFBF900FBF9F700FBFAF8009C63
      62009C6362009C6362009C636200000000000000000000000000000000000000
      0000000000000005B6000005D8000005CD000005D8000005E700000000000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FEFCFB00F0D4B700CA670000D27E
      2800FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00E6B98B00CA670000E1A97000E3B07C00CA670000E6B98B00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005FD7F5005BD5
      F50055D2F300C18D6F00FCF9F600FCFBF900FCFBF900FCFBF900FCFBF9009C63
      6200DB945000DA90410000000000000000000000000000000000000000000000
      00000005E3000005D8000005D40000000000000000000005E3000005EF000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00D07A2000CB6B0800CA670000CA670000CE751800DC9B5800F7E9
      DB00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FAF0E700CA690400CF771C00D17C2400CA690400FAF0E700FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005FD7F5005FD7
      F5005FD7F500C18D6F00C18D6F00C18D6F00C18D6F00C18D6F00C18D6F009C63
      6200B9927700004A810000000000000000000000000000000000000000000005
      F2000005D8000005EF00000000000000000000000000000000000005F2000005
      F2000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00D9944C00CA670000CA670000D9944C00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005FD7F5005FD7
      F5005FD7F5005FD7F5005FD7F50058D4F5004FCEF1004ACAEE0042C3EA003CBF
      E70037BAE400004A8100000000000000000000000000000000000005F2000005
      F2000005F2000000000000000000000000000000000000000000000000000005
      F2000005F20000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00ECCAA700CA670000CA670000ECCAA700FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005FD7F5005FD7
      F5005855570058555700585557005855570058555700585557005855570045C5
      EB0042C3EA00004A81000000000000000000000000000005F2000005F2000005
      F200000000000000000000000000000000000000000000000000000000000000
      0000000000000005F200000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FDFAF700CD701000CD701000FDFAF700FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000004A81005FD7F5005FD7
      F50058555700B5AEAB00B5AEAB00B5AEAB00B5AEAB00B5AEAB00585557004FCE
      F10045C5EB00004A810000000000000000000005F2000005F2000005F2000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA6700000000000000000000CA670000FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF
      FF00FFFFFF00FFFFFF00CA670000000000000000000000000000004A8100004A
      810058555700CECBC700FAF8F600F9F6F400F9F6F400BAB5B10058555700004A
      8100004A81000000000000000000000000000005F2000005F200000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000CA670000CA67
      0000CA670000CA670000CA670000CA670000CA670000CA670000CA670000CA67
      0000CA670000CA67000000000000000000000000000000000000CA670000CA67
      0000CA670000CA670000CA670000CA670000CA670000CA670000CA670000CA67
      0000CA670000CA67000000000000000000000000000000000000000000000000
      0000000000005855570058555700585557005855570058555700000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000008E2A03008F2C05008B28030000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000008E5E59008E5E59008E5E59008E5E59008E5E59008E5E59008E5E
      59008E5E59008E5E5900724241000000000000000000000000006A2900006A29
      00005B230000522000004F1F00004F1F00004F1F00004F1F00004F1F00004F1F
      00004F1F00004F1F000000000000000000000000000000000000692900006929
      00005A2300005621000056210000562100005621000056210000562100005621
      0000562100005621000000000000000000000000000000000000000000000000
      0000000000008B2803008E2A03008B2803008E2A030000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000092605A00FDDDBE00FED9B300FED5AC00FDD1A600FCCE9F00FAC9
      9800F8C48F00F8C48F00724241000000000000000000953A0000BE4A0000B647
      0000AA420000A23F00009A3C0000993C0000993C0000993C0000993C0000993C
      0000A03E00007E3100004F1F00000000000000000000973B0000BB4B0200AD46
      0300A9420100A23F00009A3C00009A3C00009A3C00009A3C00009A3C00009A3C
      00009F3E00007E31000056210000000000000000000000000000000000000000
      0000000000008F2C050000000000000000008B2803008B280300000000008B28
      03008F2C05000000000000000000000000000000000000000000000000000000
      0000000000009B665B00F9DFC700DD903D00DD903D00DD903D00DD903D00DD90
      3D00DD903D00FAC99800724241000000000000000000B9480000E45C0200CB52
      0200C84F0100C04B0000B9480000B2450000AE440000AE440000AE440000AE44
      0000B2450000A03E00004F1F00000000000000000000B84B0400E0590100D455
      0100CA510100C14D0100B84B0400AD460300AD460300A9420100A9420100A942
      0100AD4603009F3E000056210000000000000000000000000000000000000000
      0000000000008F2C050000000000000000008B280300000000008B2803008B28
      03008B2803008E2A030000000000000000000000000000000000000000000000
      000000000000A16C5E00F8E8D800F8E2CE00FCDEC000FDDBB900FED7B000FED5
      AC00FCCE9F00FCCE9F00724241000000000000000000C54D0000E65D0200DA5D
      0700CB520200D4600D00E7844600E7844600E7844600D4600D00A7410000A741
      0000AE440000993C00004F1F00000000000000000000C14D0100E45D0200D856
      0100D1550200CA510100CC722C00DA813800DA813800CC722C00B5500C00A841
      0000A94201009A3C000056210000000000000000000000000000000000000000
      0000000000008E2A03008B2803008B2803008B280300000000008B2803000000
      0000000000008E2A020000000000000000008E5E59008E5E59008E5E59008E5E
      59008E5E5900A26D5F00FBEEE200DD903D00DD903D00DD903D00DD903D00DD90
      3D00DD903D00FDD1A600724241000000000000000000C84F0100EE660800EB60
      0400EB8D4200FBFBFA00FBFBFA00FBFBFA00FBFBFA00F6BC8800AA420000A741
      0000AE440000993C00004F1F00000000000000000000CA510100EB680B00E860
      0400DE580100D4550100F4BC8800FDFBF900FDFBF900FDFBF900FDFBF900D279
      3300A94201009A3C000056210000000000000000000000000000000000000000
      000000000000000000008B2803008F2C05008E2A03008B2803008E2A03000000
      0000000000008B280300000000000000000092605A00FDDDBE00FED9B300FED5
      AC00FDD1A600A26D5F00FCF1E600FBEEE200F8E8D800F8E4D200F9DFC700FDDD
      BE00FED9B300FED5AC00724241000000000000000000C84F0100F06F1100EF6C
      0E00FBFBFA00F4AE7000D4600D00D35D0C00CF580700C04B0000B6470000AA42
      0000AE440000993C00004F1F00000000000000000000CA510100EE792000EB6B
      0F00E8620600E0590100D8560100D1550200CD530200BB581400F4BA8500FDFB
      F900A94201009A3C000056210000000000000000000000000000000000000000
      0000000000000000000000000000872A05007E2D0E008B2803008F2C05008E2A
      03008E2A03008B28030000000000000000009B665B00F9DFC700DD903D00DD90
      3D00DD903D00C88D6C00FEF8F100DD903D00DD903D00DD903D00DD903D00DD90
      3D00DD903D00FDDBB900724241000000000000000000C84F0100EF914400F06F
      1100FBFBFA00EF6C0E00E45C0200DE5C0500CB520200F6BA8400C04B0000B948
      0000B64700009D3D00004F1F00000000000000000000CA510100F2903F00ED75
      1B00EB680B00E8620600F4BC8800DA570100D4550100CB510100C8510200FDFB
      F900B84B04009D3D000056210000000000000000000000000000000000000000
      000000000000000000000000000079645A00756156008E2D05008B2803008B28
      03008B280300000000000000000000000000A16C5E00F8E8D800F8E2CE00FCDE
      C000FDDBB900C88D6C00FEFAF700FEF8F100FDF4EB00FCF1E600FAEBDE00F8E8
      D800F8E2CE00FCDEC000724241000000000000000000C84F0100F29D5400F06F
      1100FBFBFA00F1944600E95E0200E95E0200DE5C0500FBFBFA00F6B57C00C54D
      0000C04B0000A5400000572200000000000000000000CA510100F2924300EE79
      2000EB680B00F4BA8500FDFBF900E45D0200DE580100D4550100E0863C00FDFB
      F900C14D0100A64000005A230000000000000000000000000000000000000000
      0000000000000000000076625700837873007662570076625700000000000000
      000000000000000000000000000000000000A26D5F00FBEEE200DD903D00DD90
      3D00DD903D00CC926F00FEFAF700FEFAF700FEF8F100FDF6EE00FCF1E600F8E2
      CE00CF9685009F7A9300724241000000000000000000C84F0100F3A46000EA89
      3F00F6BA8400FBFBFA00FAD6B500FAD6B500FBE7D400FBFBFA00FBFBFA00F8C7
      9A00C9500100B24500006A2900000000000000000000CA510100F2924300EE7E
      2700F7CFAA00FDFBF900FDFBF900FAE5D100F9D8BA00F9D8BA00FDFBF900F4BA
      8500CC510100AD46030069290000000000000000000000000000000000000000
      00000000000076625700BAAEAC0076625700857C780076625700000000000000
      000000000000000000000000000000000000A26D5F00FCF1E600FBEEE200F8E8
      D800F8E4D200D2977300FEFAF700FEFAF700FEFAF700FEF9F500FDF6EE009E68
      5B009E685B009E685B009C6559000000000000000000C84F0100F3AC6D00EA89
      3F00F06F1100F29D5400F8C08E00F6BC8800FAD6B500FBFBFA00FBFBFA00F8C0
      8E00DA5D0700BE4A0000772E00000000000000000000CA510100F4BA8500F189
      3600F7CAA100FDFBF900FDFBF900F9D8BA00F4BA8500F4BA8500EC8E3F00DE58
      0100DA570100BE4C0200742D0000000000000000000000000000000000000000
      000076625700CBC0C00076625700857C7800B6A9A70076625700000000000000
      000000000000000000000000000000000000C88D6C00FEF8F100DD903D00DD90
      3D00DD903D00D2977300FEFAF700FEFAF700FEFAF700FEFAF700FEFAF7009E68
      5B00E49E5100DC8E3A00000000000000000000000000C84F0100F6B57C00F194
      4600F06F1100F06F1100F06F1100EF6C0E00EF690B00FBFBFA00F4AE7000E95E
      0200E45C0200C84F0100853400000000000000000000CA510100F4BA8500F292
      4300EE7E2700F5BE8C00FDFBF900EB6B0F00EB680B00EA650900E75F0300E45D
      0200E15A0200CB51010089350000000000000000000000000000000000007662
      5700FB6AF900766257000000000076625700CBC0C00076625700000000000000
      000000000000000000000000000000000000C88D6C00FEFAF700FEF8F100FDF4
      EB00FCF1E600E9A86200D0916B00D0916B00D0916B00D0916B00D0916B009E68
      5B00E39A490000000000000000000000000000000000C84F0100F6B88000F5B2
      7700F3A46000F2994E00ED8F4300EA893F00F06F1100F4AE7000EB600400E95E
      0200E95E0200DA5D0700953A00000000000000000000CA510100F4BA8500F4BA
      8500F2924300F2924300F5C29500EF842F00EE792000EB680B00E8620600E75F
      0300E75F0300D8560100973B0000000000000000000000000000000000007662
      570076625700000000000000000076625700CBC0C00076625700000000000000
      000000000000000000000000000000000000CC926F00FEFAF700FEFAF700FEF8
      F100FDF6EE00FCF1E600F8E2CE00CF9685009F7A930072424100000000000000
      00000000000000000000000000000000000000000000C84F0100F3A46000F6BA
      8400F6BC8800F6B57C00F3AA6A00F29D5400EA893F00F06F1100EE660800EB60
      0400EB600400E45C0200A23F00000000000000000000CB510100F2924300F4BA
      8500F4BC8800F4BA8500F4BA8500F2924300EF842F00EC711600EA650900E860
      0400E8620600E0590100A23F0000000000000000000000000000000000007662
      570000000000000000000000000076625700CBC0C00076625700000000000000
      000000000000000000000000000000000000D2977300FEFAF700FEFAF700FEFA
      F700FEF9F500FDF6EE009E685B009E685B009E685B009C655900000000000000
      0000000000000000000000000000000000000000000000000000D25B0800D460
      0D00D4600D00D4600D00D4600D00D4600D00D25B0800CC540400CB520200C950
      0100C9500100B948000000000000000000000000000000000000D1550200C76B
      2500C76B2500C76B2500C76B2500C2631D00D1550200CD530200CB510100CA51
      0100CB510100BB4B020000000000000000000000000000000000000000000000
      0000000000000000000000000000766257007662570000000000000000000000
      000000000000000000000000000000000000D2977300FEFAF700FEFAF700FEFA
      F700FEFAF700FEFAF7009E685B00E49E5100DC8E3A0000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000766257000000000000000000000000000000
      000000000000000000000000000000000000E9A86200D0916B00D0916B00D091
      6B00D0916B00D0916B009E685B00E39A49000000000000000000000000000000
      000000000000000000000000000000000000424D3E000000000000003E000000
      2800000040000000400000000100010000000000000200000000000000000000
      000000000000000000000000FFFFFF0000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      00000000000000000000000000000000C000FFFFFFFFB6E7C000FFFFFE49B76B
      C00007C1FE498427C00007C1FFFFB76BC00007C1FFFFCEE740000101C7C7FFFF
      00000001C7C7C7C700000001C387C7C700000001C007C38740008003C007C007
      C000C107C007C007C000C107C007C007C000E38FC007C007C001E38FF39FC007
      C003E38FF39FF39FC007FFFFF39FF39FC001FFFCFFFFFFFF80019FF9C003C003
      80018FF380018001800187E7800180018001C3CF800180018001F11F80018001
      8001F83F800180018001FC7F800180018001F83F800180018003F19F80018001
      8003E3CF800180018003C7E78001800180038FFB8001800180031FFF80018001
      C0073FFFC003C003F83FFFFFFFFFFFFFFFFFFFFFFC7FF801C003C003F87FF801
      80018001FB27F80180018001FB43F80180018001F85B000180018001FC1B0001
      80018001FE03000180018001FE07000180018001FC3F000180018001F83F0001
      80018001F03F000380018001E23F000780018001E63F003F80018001EE3F003F
      C003C003FE7F007FFFFFFFFFFEFF00FF00000000000000000000000000000000
      000000000000}
  end
  object PopupEditor: TPopupActionBarEx
    Images = ImagesEditor
    Left = 135
    Top = 155
    object ClosePage2: TMenuItem
      Action = ClosePage
    end
    object N1: TMenuItem
      Caption = '-'
    end
    object Cut1: TMenuItem
      Action = VideEditCut
    end
    object Copy1: TMenuItem
      Action = VideEditCopy
    end
    object Paste1: TMenuItem
      Action = VideEditPaste
    end
    object N2: TMenuItem
      Caption = '-'
    end
    object Format1: TMenuItem
      Caption = 'Format'
      object MakeUppercase1: TMenuItem
        Action = VideFormatUpperCase
      end
      object MakeLowercase1: TMenuItem
        Action = VideFormatLowerCase
      end
    end
    object N3: TMenuItem
      Caption = '-'
    end
    object Properties1: TMenuItem
      Action = EditorProperties
    end
  end
  object PopupTab: TPopupActionBarEx
    Left = 170
    Top = 155
    object ClosePage1: TMenuItem
      Action = ClosePage
    end
  end
end
